<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: RMT Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classRMT-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RMT Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Drive the RMT peripheral.  
 <a href="classRMT.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="RMT_8h_source.html">RMT.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab4e0f3b8ff01d7604d0bc52bc44c590f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#ab4e0f3b8ff01d7604d0bc52bc44c590f">RMT</a> (gpio_num_t pin, rmt_channel_t channel=RMT_CHANNEL_0)</td></tr>
<tr class="memdesc:ab4e0f3b8ff01d7604d0bc52bc44c590f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a class instance.  <a href="#ab4e0f3b8ff01d7604d0bc52bc44c590f">More...</a><br /></td></tr>
<tr class="separator:ab4e0f3b8ff01d7604d0bc52bc44c590f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b59083a872122d19e34d5585a06914f"><td class="memItemLeft" align="right" valign="top"><a id="a5b59083a872122d19e34d5585a06914f"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#a5b59083a872122d19e34d5585a06914f">~RMT</a> ()</td></tr>
<tr class="memdesc:a5b59083a872122d19e34d5585a06914f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class destructor. <br /></td></tr>
<tr class="separator:a5b59083a872122d19e34d5585a06914f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29461fa2ff9900b5ddff5dd0ec35abb0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#a29461fa2ff9900b5ddff5dd0ec35abb0">add</a> (bool level, uint32_t duration)</td></tr>
<tr class="memdesc:a29461fa2ff9900b5ddff5dd0ec35abb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a level/duration to the transaction to be written.  <a href="#a29461fa2ff9900b5ddff5dd0ec35abb0">More...</a><br /></td></tr>
<tr class="separator:a29461fa2ff9900b5ddff5dd0ec35abb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf727f6cdf9b357a320a19661f90e6c4"><td class="memItemLeft" align="right" valign="top"><a id="acf727f6cdf9b357a320a19661f90e6c4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#acf727f6cdf9b357a320a19661f90e6c4">clear</a> ()</td></tr>
<tr class="memdesc:acf727f6cdf9b357a320a19661f90e6c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear any previously written level/duration pairs that have not been sent. <br /></td></tr>
<tr class="separator:acf727f6cdf9b357a320a19661f90e6c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1b130bf271e12117511f75f6e08fcea"><td class="memItemLeft" align="right" valign="top"><a id="af1b130bf271e12117511f75f6e08fcea"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#af1b130bf271e12117511f75f6e08fcea">rxStart</a> ()</td></tr>
<tr class="memdesc:af1b130bf271e12117511f75f6e08fcea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start receiving. <br /></td></tr>
<tr class="separator:af1b130bf271e12117511f75f6e08fcea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f3abda595084f39bc5a524b468feeab"><td class="memItemLeft" align="right" valign="top"><a id="a0f3abda595084f39bc5a524b468feeab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#a0f3abda595084f39bc5a524b468feeab">rxStop</a> ()</td></tr>
<tr class="memdesc:a0f3abda595084f39bc5a524b468feeab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop receiving. <br /></td></tr>
<tr class="separator:a0f3abda595084f39bc5a524b468feeab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dd6deb2c682661f70dd9b17519455e6"><td class="memItemLeft" align="right" valign="top"><a id="a4dd6deb2c682661f70dd9b17519455e6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#a4dd6deb2c682661f70dd9b17519455e6">txStart</a> ()</td></tr>
<tr class="memdesc:a4dd6deb2c682661f70dd9b17519455e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start transmitting. <br /></td></tr>
<tr class="separator:a4dd6deb2c682661f70dd9b17519455e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b4184c0472608379fdd868e3aa68e15"><td class="memItemLeft" align="right" valign="top"><a id="a5b4184c0472608379fdd868e3aa68e15"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#a5b4184c0472608379fdd868e3aa68e15">txStop</a> ()</td></tr>
<tr class="memdesc:a5b4184c0472608379fdd868e3aa68e15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop transmitting. <br /></td></tr>
<tr class="separator:a5b4184c0472608379fdd868e3aa68e15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0eef7f4df02df1f9e0f33cde2cb3ee1f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRMT.html#a0eef7f4df02df1f9e0f33cde2cb3ee1f">write</a> ()</td></tr>
<tr class="memdesc:a0eef7f4df02df1f9e0f33cde2cb3ee1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write the items out through the <a class="el" href="classRMT.html" title="Drive the RMT peripheral.">RMT</a>.  <a href="#a0eef7f4df02df1f9e0f33cde2cb3ee1f">More...</a><br /></td></tr>
<tr class="separator:a0eef7f4df02df1f9e0f33cde2cb3ee1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Drive the RMT peripheral. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab4e0f3b8ff01d7604d0bc52bc44c590f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4e0f3b8ff01d7604d0bc52bc44c590f">&#9670;&nbsp;</a></span>RMT()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RMT::RMT </td>
          <td>(</td>
          <td class="paramtype">gpio_num_t&#160;</td>
          <td class="paramname"><em>pin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">rmt_channel_t&#160;</td>
          <td class="paramname"><em>channel</em> = <code>RMT_CHANNEL_0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create a class instance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pin</td><td>The GPIO pin on which the signal is sent/received. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">channel</td><td>The <a class="el" href="classRMT.html" title="Drive the RMT peripheral.">RMT</a> channel to work with. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a29461fa2ff9900b5ddff5dd0ec35abb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29461fa2ff9900b5ddff5dd0ec35abb0">&#9670;&nbsp;</a></span>add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RMT::add </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>duration</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a level/duration to the transaction to be written. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">level</td><td>The level of the bit to output. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">duration</td><td>The duration of the bit to output. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0eef7f4df02df1f9e0f33cde2cb3ee1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0eef7f4df02df1f9e0f33cde2cb3ee1f">&#9670;&nbsp;</a></span>write()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RMT::write </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write the items out through the <a class="el" href="classRMT.html" title="Drive the RMT peripheral.">RMT</a>. </p>
<p>The level/duration set of bits that were added to the transaction are written out through the <a class="el" href="classRMT.html" title="Drive the RMT peripheral.">RMT</a> device. After transmission, the list of level/durations is cleared. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="RMT_8h_source.html">RMT.h</a></li>
<li>RMT.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
